Opened 13 years ago

Closed 13 years ago

#2143 closed patch (fixed)

ATSC EIT time offset is incorrect

Reported by: anonymous Owned by: danielk
Priority: minor Milestone: 0.20
Component: mythtv Version: 0.20
Severity: medium Keywords: eit
Cc: Ticket locked: no

Description

I am having a program with my EIT guide data being offset by 2 hours. I am using a DViCO FusionHDTV5 Gold USB on Fedora Core 5. I live in Los Angeles and am using the DViCO to receive OTA HDTV. I am running svn trunk 10721.

I added the follow line in EITHelper::CompleteEvent?(...) to aid in debugging:

VERBOSE(VB_EIT, LOC + QString("event:%1 event.start_time:%2 localstarttime:%3 utc_offset:%4")

.arg(event.title).arg(event.start_time).arg(starttime.toTime_t()).arg(utc_offset));

When running the backend I get: 2006-08-09 09:38:00.833 EITHelper: event:Fox 11 Morning News at 6 AM/Good Day L.A. event.start_time:839336414 localstarttime:1155294000 utc_offset:-25200 2006-08-09 09:38:00.885 EITHelper: event:Fox 11 Morning News at 5:00 AM/Good Day L.A. event.start_time:839332814 localstarttime:1155290400 utc_offset:-25200

doing the math... seconds per day: 86400 leap seconds since gps epoch: 14

for the first show: based upon the eit raw data, (839336414-14-25200)%86400/60/60 = 6 based upon the calculated local starttime: (1155294000-25200)%86400/60/60 = 4

for the second show: based upon the eit raw data, (839332814-14-25200)%86400/60/60 = 5 based upon the calculated local starttime: (1155290400-25200)%86400/60/60 = 3

I believe that these should be equal. It looks like it may be something with the qt lib. for reference: # rpm -qa |grep qt qt-MySQL-3.3.6-0.4.fc5 qt-3.3.6-0.4.fc5 qt-devel-3.3.6-0.4.fc5

Thanks, let me know if I can provide more information..

Change History (5)

comment:1 Changed 13 years ago by danielk

Milestone: 0.200.21
Owner: changed from Isaac Richards to danielk

FYI There is a workaround in mythtv-setup in General on the EIT Scanner Options pane, change the time offset for EIT listings to something like "-0800" for LA.

comment:2 Changed 13 years ago by danielk

(In [11430]) Refs #2143. Fix ATSC EIT time offset. (leaving ticket open for possible backport to 0.20-fixes).

The problem was that our offset between Unix time and GPS time was off by five hours combined with a phantom localtime->UTC conversion in QDateTime it made EIT times wrong most places most of the time (annoyingly it was correct for me when I last checked this since my timezone was 5 hours from UTC and 5 + 5 - 5 = 5). We were all compensating for this with a manual timezone setting in mythtv-setup, but obviously this should have been automatic. Now it is...

The DB update sets everyone's timezone compensation to "Auto" for EIT time, and disables the UI for this setting in mythtv-setup. If it turns out to be needed for other reasons I will re-enable it.

comment:3 Changed 13 years ago by danielk

Milestone: 0.210.20
Summary: atsc eit guide data offset by 2 hoursATSC EIT time offset is incorrect
Version: head0.20

comment:4 Changed 13 years ago by danielk

Type: defectpatch

comment:5 Changed 13 years ago by danielk

Resolution: fixed
Status: newclosed

(In [11563]) Fixes #2143 in 0.20-fixes branch. This fixes the "Auto" time-offset in ATSC EIT.

Unkike the original changeset in SVN Head [11430], this may manual intervention to change the offset from the manually set time-offset in mythtv-setup to "Auto" again (assuming you set this override in the past).

If you are enabling ATSC EIT for the first time, "Auto" is the default and you will not have to do anything.

Note: See TracTickets for help on using tickets.